Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at	(revision e70b9dc00a22a0801131763acf7c71937581ac4d)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at	(revision e70b9dc00a22a0801131763acf7c71937581ac4d)
@@ -0,0 +1,35 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Server/Worker])
+AT_KEYWORDS([fragmentation automation server worker])
+
+WORKERPORT=1025
+CONTROLLERPORT=1026
+
+# start service in background
+${AUTOTEST_PATH}/Fragmentation/Automation/Server $WORKERPORT $CONTROLLERPORT &
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [pkill Server])
+
+# add two jobs 
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 2], 0, [ignore], [ignore], [pkill Server])
+
+# first worker has a job
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Worker 127.0.0.1 $WORKERPORT], 0, [stdout], [ignore], [pkill Server])
+AT_CHECK([fgrep "Job id: 1" stdout], 0, [ignore], [ignore], [pkill Server])
+
+# check number of done jobs
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [pkill Server])
+AT_CHECK([fgrep "1 jobs are calculated so far" stdout], 0, [ignore], [ignore], [pkill Server])
+
+# add no job to shutdown socket
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 0], 0, [stdout], [ignore], [pkill Server])
+
+# second worker has a job, but then there are no more, hence socket powered down
+AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Worker 127.0.0.1 $WORKERPORT], 0, [stdout], [ignore], [pkill Server])
+AT_CHECK([fgrep "Job id: 2" stdout], 0, [ignore], [ignore], [pkill Server])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [pkill Server])
+AT_CHECK([pkill Server], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation.at	(revision 778abb8ccf156d1308e41e6fad137c7987dc7c8f)
+++ 	(revision )
@@ -1,35 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation])
-AT_KEYWORDS([fragmentation automation worker])
-
-WORKERPORT=1025
-CONTROLLERPORT=1026
-
-# start service in background
-${AUTOTEST_PATH}/Fragmentation/Automation/Server $WORKERPORT $CONTROLLERPORT &
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [pkill Server])
-
-# add two jobs 
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 2], 0, [ignore], [ignore], [pkill Server])
-
-# first worker has a job
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Worker 127.0.0.1 $WORKERPORT], 0, [stdout], [ignore], [pkill Server])
-AT_CHECK([fgrep "Job id: 1" stdout], 0, [ignore], [ignore], [pkill Server])
-
-# check number of done jobs
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/ResultChecker 127.0.0.1 $CONTROLLERPORT], 0, [stdout], [ignore], [pkill Server])
-AT_CHECK([fgrep "1 jobs are calculated so far" stdout], 0, [ignore], [ignore], [pkill Server])
-
-# add no job to shutdown socket
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/JobAdder 127.0.0.1 $CONTROLLERPORT 0], 0, [stdout], [ignore], [pkill Server])
-
-# second worker has a job, but then there are no more, hence socket powered down
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Worker 127.0.0.1 $WORKERPORT], 0, [stdout], [ignore], [pkill Server])
-AT_CHECK([fgrep "Job id: 2" stdout], 0, [ignore], [ignore], [pkill Server])
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [pkill Server])
-AT_CHECK([pkill Server], 1, [ignore], [ignore])
-
-AT_CLEANUP
